%define name    evas
%define version 1.7.9
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightened canvas library
Name: 		%{name}
Version: 	%{version}
Epoch:		2
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Evas
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
Patch0:         evas-update-for-new-automake.patch
Conflicts:	%{mklibname evas1}-devel

BuildRequires:  pkgconfig
BuildRequires: 	freetype-devel
BuildRequires: 	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxrender-devel
BuildRequires:	SDL-devel
BuildRequires:	cairo-devel
BuildRequires:	fribidi-devel
%if %svn
BuildRequires:	pkgconfig(eina) >= %{version}-0.%svn
BuildRequires: 	pkgconfig(eet) >= %{version}-0.%svn
%else
BuildRequires:  pkgconfig(eina) >= %{version}
BuildRequires:  pkgconfig(eet) >= %{version}
%endif
BuildRequires:	edb-devel >= 1.0.5.042
BuildRequires:	cairo-devel 
BuildRequires:	png-devel, jpeg-devel 
Buildrequires:	tiff-devel
BuildRequires:	librsvg-devel
Buildrequires:  mesagl-devel
BuildRequires:	ungif-devel, xpm-devel
Buildrequires:	xcb-devel pixman-devel libxcb-util-devel

%description
Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects much and more.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %{libname}
Summary: Enlightened Canvas Libraries
Group: System/Libraries

%description -n %{libname}
Evas canvas libraries.

Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects much and more.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libnamedev
Summary: Enlightened Canvas Library headers and development libraries
Group: System/Libraries
Requires: %{libname} = 2:%{version}
Requires: %{name} = 2:%{version}-%{release}
Provides: %{name}-devel = 2:%{version}-%{release}
Conflicts:	%{mklibname evas1}-devel
Obsoletes: %mklibname -d evas 0

%description -n %libnamedev
Evas development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static --disable-build-examples --disable-install-examples

%make

%install
rm -fr %buildroot
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%{_datadir}/evas
%{_bindir}/%{name}_cserve2_client
%{_bindir}/%{name}_cserve2_debug
%{_bindir}/%{name}_cserve2_usage
%{_libdir}/%{name}
%{_libexecdir}/%{name}_cserve2
%{_libexecdir}/%{name}_cserve2_slave
%{_libexecdir}/dummy_slave

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/libevas.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Sat Nov 23 2013 trem <trem> 2:1.7.9-2.mga4
+ Revision: 552458
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release

* Sat Nov 09 2013 trem <trem> 2:1.7.9-1.mga4
+ Revision: 550118
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 2:1.7.8-2.mga4
+ Revision: 463321
- update version to 1.7.8 (fix changelog from previous commit)

* Sun Aug 04 2013 trem <trem> 2:1.7.8-1.mga4
+ Revision: 463228
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 2:1.7.7-1.mga4
+ Revision: 444918
- new version 1.7.7

* Mon Jun 03 2013 fwang <fwang> 2:1.7.5-5.mga4
+ Revision: 435528
- rebuild for new libpng

* Tue May 14 2013 neoclust <neoclust> 2:1.7.5-4.mga3
+ Revision: 413118
- Make evas-devel requires evas

* Sun May 12 2013 neoclust <neoclust> 2:1.7.5-3.mga3
+ Revision: 413026
- Do not package module libs in the lib package

* Tue May 07 2013 trem <trem> 2:1.7.5-2.mga3
+ Revision: 412560
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 2:1.7.5-1.mga3
+ Revision: 339268
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 2:1.7.4-1.mga3
+ Revision: 333853
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 2:1.7.3-1.mga3
+ Revision: 327927
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 2:1.7.2-1.mga3
+ Revision: 321315
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 2:1.7.1-1.mga3
+ Revision: 320189
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 2:1.7.0-1.mga3
+ Revision: 290115
- update to release 1.7.0

* Sat Jun 09 2012 trem <trem> 2:1.2.1-1.mga3
+ Revision: 258788
- update to 1.2.1

* Tue Jun 05 2012 trem <trem> 2:1.2.0-1.mga3
+ Revision: 255954
- update to 1.2.0 (stable release)

* Sun Mar 11 2012 trem <trem> 2:1.1.0-0.r69188.2.mga2
+ Revision: 222657
- update to release 69188

* Sat Mar 10 2012 trem <trem> 2:1.1.0-0.r69165.2.mga2
+ Revision: 222390
- update to release 69165

* Sun Mar 04 2012 trem <trem> 2:1.1.0-0.r68658.2.mga2
+ Revision: 217968
- update to release 68658

* Sat Mar 03 2012 trem <trem> 2:1.1.0-0.r68649.2.mga2
+ Revision: 217518
- update to release 68649

* Sun Feb 26 2012 trem <trem> 2:1.1.0-0.r68450.2.mga2
+ Revision: 215179
- update to release 68450

* Sat Feb 25 2012 trem <trem> 2:1.1.0-0.r68434.2.mga2
+ Revision: 214397
- update to release 68434

* Fri Feb 24 2012 trem <trem> 2:1.1.0-0.r68363.2.mga2
+ Revision: 213934
- update to release 68363

* Wed Feb 22 2012 trem <trem> 2:1.1.0-0.r68228.2.mga2
+ Revision: 212049
- update to release 68228

* Sun Feb 19 2012 trem <trem> 2:1.1.0-0.r68120.2.mga2
+ Revision: 210765
- update to release 68120

* Sat Feb 18 2012 trem <trem> 2:1.1.0-0.r68102.2.mga2
+ Revision: 210213
- update to release 68102

* Sat Feb 11 2012 trem <trem> 2:1.1.0-0.r67851.2.mga2
+ Revision: 207516
- update to release 67851

* Sat Feb 11 2012 trem <trem> 2:1.1.0-0.r67846.2.mga2
+ Revision: 207229
- update to release 67846

* Fri Feb 10 2012 trem <trem> 2:1.1.0-0.r67830.2.mga2
+ Revision: 206938
- update to release 67830

* Tue Feb 07 2012 trem <trem> 2:1.1.0-0.r67715.2.mga2
+ Revision: 205973
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Tue Dec 27 2011 trem <trem> 2:1.1.0-0.r66418.2.mga2
+ Revision: 188245
- update to release 66418

  + fwang <fwang>
    - rebuild for new libtiff

* Sun Dec 04 2011 trem <trem> 2:1.1.0-0.r65867.1.mga2
+ Revision: 176072
- update to release 65867

* Tue Nov 29 2011 trem <trem> 2:1.1.0-0.r65688.1.mga2
+ Revision: 174219
- update to release 65688

* Sun Nov 27 2011 trem <trem> 2:1.1.0-0.r65613.1.mga2
+ Revision: 172942
- update to release 65613

* Sun Nov 20 2011 trem <trem> 2:1.1.0-0.r65428.1.mga2
+ Revision: 169705
- update to release 65428

* Fri Nov 18 2011 trem <trem> 2:1.1.0-0.r65369.1.mga2
+ Revision: 168692
- update to version 1.1.0
- update to release r65369

* Thu Nov 17 2011 trem <trem> 2:1.0.999-0.r65341.1.mga2
+ Revision: 168423
- update to release 65341

* Wed Nov 16 2011 trem <trem> 2:1.0.999-0.r65269.1.mga2
+ Revision: 168179
- update to release 65269

* Sun Nov 13 2011 trem <trem> 2:1.0.999-0.r65129.1.mga2
+ Revision: 167141
- update to release 65129

* Fri Nov 11 2011 trem <trem> 2:1.0.999-0.r65056.1.mga2
+ Revision: 166548
- update to release 65056

* Sat Nov 05 2011 trem <trem> 2:1.0.999-0.r64753.1.mga2
+ Revision: 163306
- update to release 64753

* Tue Nov 01 2011 trem <trem> 2:1.0.999-0.r64603.1.mga2
+ Revision: 160792
- update to release 64603

* Mon Oct 31 2011 trem <trem> 2:1.0.999-0.r64579.1.mga2
+ Revision: 160578
- update to release 64579

* Sun Oct 30 2011 trem <trem> 2:1.0.999-0.r64519.1.mga2
+ Revision: 160057
- update to release 64519

* Sat Oct 29 2011 trem <trem> 2:1.0.999-0.r64511.1.mga2
+ Revision: 159790
- update to r64511

* Fri Oct 28 2011 trem <trem> 2:1.0.999-0.r64501.1.mga2
+ Revision: 159275
- update to r64501
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 2:1.0.999-0.r64328.1.mga2
+ Revision: 157733
- update to svn release (instead of stable release)
- some spec cleaning

* Sun Sep 11 2011 fwang <fwang> 2:1.0.1-3.mga2
+ Revision: 142264
- rebuild for new libpng
- drop la files

* Mon Jun 27 2011 trem <trem> 2:1.0.1-1.mga2
+ Revision: 114895
- update to 1.0.1

* Mon Apr 18 2011 ennael <ennael> 2:1.0.0-1.mga1
+ Revision: 87943
- clean spec file
- imported package evas


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 2:1.0.0-1mdv2011.0
+ Revision: 633909
- 1.0.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta3.2mdv2011.0
+ Revision: 622816
- rebuild

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta3.1mdv2011.0
+ Revision: 622782
- 1.0 beta3

* Sun Nov 14 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta2.1mdv2011.0
+ Revision: 597516
- 1.0.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta.2mdv2011.0
+ Revision: 585299
- rebuild

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta.1mdv2011.0
+ Revision: 585290
- 1.0.0 beta

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 2:0.9.9.49898-1mdv2011.0
+ Revision: 549977
- update file list
- New version 0.9.9.49898

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 2:0.9.9.063-3mdv2010.1
+ Revision: 492241
- rebuild for new libjpeg v8

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.063-2mdv2010.1
+ Revision: 478439
- drop hard requires on libs

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.063-1mdv2010.1
+ Revision: 478106
- New version 0.9.9.063

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.062-4mdv2010.0
+ Revision: 419750
- rebuild for new libjpeg v7

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.062-3mdv2010.0
+ Revision: 411250
- add more BR

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.062-2mdv2010.0
+ Revision: 411249
- enable sdl backend

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.062-1mdv2010.0
+ Revision: 411105
- new version 0.9.9.062

* Tue Jul 07 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.061-2mdv2010.0
+ Revision: 393188
- rebuild for new eina

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.061-1mdv2010.0
+ Revision: 392863
- fix file list
- new version 0.9.9.061

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.060-1mdv2010.0
+ Revision: 370631
- New version 0.9.9.060

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 2:0.9.9.050-3mdv2009.1
+ Revision: 347820
- bump release
- fix libtool for release < 2009.1

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 2:0.9.9.050-2mdv2009.1
+ Revision: 345624
- add xcb-util-devel buildrequires
- update buildrequires
- fix xcb-devel buildrequires
- add xcb pixman-1-devel buildrequires
- SVN SNAPSHOT 20090227, release 0.9.9.050, update eet buildrequires version

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 2:0.9.9.050-1mdv2009.1
+ Revision: 292037
- New snapshot

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2:0.9.9.043-4mdv2009.0
+ Revision: 266734
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 2:0.9.9.043-3mdv2009.0
+ Revision: 213968
- sdl backends does not exists
- enalbe soft-16-x11

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 2:0.9.9.043-1mdv2009.0
+ Revision: 213941
- New version 0.9.9.043

  + Antoine Ginies <aginies@mandriva.com>
    - fix 2008.0 rebuild

* Thu Mar 27 2008 Pascal Terjan <pterjan@mandriva.org> 2:0.9.9.042-4mdv2008.1
+ Revision: 190650
- Have the libs to conflict too, else it breaks upgrade from 2008.0

* Tue Mar 18 2008 Antoine Ginies <aginies@mandriva.com> 2:0.9.9.042-3mdv2008.1
+ Revision: 188469
- increase release
- add a conflict with evas1

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 2:0.9.9.042-2mdv2008.1
+ Revision: 168880
- fix buildrequires (xcb-devel is not provided by libxcb1-devel)
- add some buildrequires, update configure options
- CVS snapshot 20080215
- adjust buildrequires

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 2:0.9.9.042-1mdv2008.1
+ Revision: 161307
- sync
- new version
- back to major=0 (strange)
- tidy spec and provides
- drop config file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Austin Acton <austin@mandriva.org> 1:0.9.9.041-3mdv2008.1
+ Revision: 108044
- adjust configure options
- tidy

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.041-2mdv2008.1
+ Revision: 104090
- new tarball from svn snapshot
- increase mkrel
- update buildrequires

* Thu Aug 30 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.041-1mdv2008.0
+ Revision: 76298
- fix missing evas-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.9.9.041
- use libxcb-devel not %%{mklibname xcb}-devel
- fix tiff-devel buildrequires (do not use major version)
- prevent major bug to happen again
- remove major in libxcb-devel buildrequires
- remove  libsvg-cairo1-devel buildrequires
- fix xcb1-devel buildrequires
- add directfb-devel, libsvg-cairo1-devel buildrequires
- add more buildrequires
- CVS snapshot 20070604
- add ./autogen.sh in %%make section
- ?\195?\169disable ddraw rendering
- CVS SNAPSHOT 20070529, release 0.9.9.038

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-7mdv2008.0
+ Revision: 32588
- enable gl evas rendering

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-6mdv2008.0
+ Revision: 32277
- adjust tiff3-devel buildrequires
- remove direcfb-buildrequires
- re-add directfb1-devel buildrequires
- remove directfb buildrequires
- add needed buildrequires
- active directfb, g, generic evas engines

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-5mdv2008.0
+ Revision: 30640
- increase mkrel
- CVS snapshot 20070524, release 0.9.9.038
- remove unwanted changelog

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-4mdv2008.0
+ Revision: 29102
- CVS snapshot 20070516, adjust configure options, release 0.9.9.038

* Mon Apr 23 2007 Pascal Terjan <pterjan@mandriva.org> 1:0.9.9.037-3mdv2008.0
+ Revision: 17526
- Don't require evas, it no longer exists
- Add the epoch in Obsoletes

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1:0.9.9.037-1mdv2008.0
+ Revision: 17126
- Add the description to the lib subpackage as it is now the main one
- Add obsoletes so that people don't keep the old binaries
- New snapshot
- Remove main binary as /usr/bin/evas_* and /usr/share/evas are no longer there

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1:0.9.9.032-3mdv2008.0
+ Revision: 17051
- devel requires edb-devel, png-devel and eet-devel (from pkgconfig)


* Sun Dec 03 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.9.032-2mdv2007.0
+ Revision: 90215
- Require the main package in -devel, it contains the .so of modules

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org> 1:0.9.9.032-1mdv2007.0
+ Revision: 53334
- add sources 0.9.9.032
- 0.9.9.032
- Import evas

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 1:0.9.9.025-0.20060323.1mdk
- new cvs checkout
- update description

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.9.9.023-0.20060216.1mdk
- new cvs checkout

* Tue Jan 17 2006 Austin Acton <austin@mandriva.org> 0.9.9.023-0.20060117.1mdk
- new cvs checkout

* Thu Jan 12 2006 Austin Acton <austin@mandriva.org> 0.9.9.022-0.20060111.1mdk
- new cvs checkout

* Thu Nov 24 2005 Austin Acton <austin@mandriva.org> 0.9.9.020-0.20051124.1mdk
- new cvs checkout
- disable directfb backend

* Thu Nov 24 2005 Lenny Cartier <lenny@mandriva.com> 0.9.9.020-0.20051112.2mdk
- rebuild for new libfusion

* Sat Nov 12 2005 Austin Acton <austin@mandriva.org> 0.9.9.020-0.20051112.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.9.9.019-0.20051109.1mdk
- new cvs checkout

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.019-0.20051104.1mdk
- new cvs checkout

* Tue Sep 06 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.013-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.013-0.20050813.1mdk
- new cvs checkout

* Tue Jun 28 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.010-0.20050627.1mdk
- new cvs checkout

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.008-0.20050608.1mdk
- new cvs checkout

* Thu May 26 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050524.2mdk
- multiarch binaries

* Thu May 26 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050524.1mdk
- new cvs checkout

* Sun May 22 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050519.1mdk
- disable cairo (won't build with cairo 0.5.0)

* Sat May 14 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.4mdk
- really remove valgrind
- clean spec

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.3mdk
- disable valgrind to allow building on x86_64
- fix provides

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.2mdk
- fix epoch tags (thanks Olivier Thauvin)
- make buildrequires lib64 friendly

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.1mdk
- version 0.9.9.025 0.9.9.007, so epoch 1
- fix up spec
- disable mmx/sse (Morreale J-R)

* Wed Sep 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1.20040913.1mdk
- 1.0.0 20040913

* Wed Jun 16 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-1.20030730.3mdk
- rebuild

